%define upstream_name    Dist-Zilla-Plugin-EnsureLatestPerl
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Ensure the author is releasing using the latest Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::CoreList) >= 5.201.803.250
BuildRequires: perl-Module-CoreList
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that aborts the 'dzil release'
process unless the latest perl is being used for the release. "Latest" here
is calculated as the latest point release in the latest stable or
development Perl lines -- for example, 5.24.1 (latest in the 5.24 series)
or 5.25.12 (latest in the 5.25 series).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-4.mga8
+ Revision: 1530485
- Mageia 8 Mass Rebuild

* Thu Aug 29 2019 tv <tv> 0.8.0-3.mga8
+ Revision: 1435078
- BR perl-Module-CoreList thus fixing build

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1283007
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1238925
- update to 0.008

* Wed Mar 07 2018 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1207188
- update to 0.007

* Tue Jan 09 2018 shlomif <shlomif> 0.6.0-1.mga7
+ Revision: 1191868
- Fix BRs
- imported package perl-Dist-Zilla-Plugin-EnsureLatestPerl


* Tue Jan 09 2018 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
